### Method

# Gio TlsClientConnection set_validation_flags

deprecated: 2.72 since: 2.28

#### Declaration

    void
    g_tls_client_connection_set_validation_flags (
      GTlsClientConnection* conn,
      GTlsCertificateFlags flags
    )

#### Description

Sets `conn`‘s validation flags, to override the default set of checks performed when validating a server certificate. By default, `G_TLS_CERTIFICATE_VALIDATE_ALL` is used.

This function does not work as originally designed and is impossible to use correctly. See `GTlsClientConnection:validation-flags` for more information.

Available since: 2.28

Deprecated since: 2.72

Do not attempt to ignore validation errors.

Sets property | `Gio.TlsClientConnection:validation-flags`

#### Parameters

`flags`

  Type: `GTlsCertificateFlags`

  The `GTlsCertificateFlags` to use.